| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Num.VectorFunctionResultsDto Class Reference

DTO (Data Transfer Objects) for storing contents of vector function results. More...

Inheritance diagram for IG.Num.VectorFunctionResultsDto:
[legend]
Collaboration diagram for IG.Num.VectorFunctionResultsDto:
[legend]

## Public Member Functions
| VectorFunctionResultsDto ()
| Default constructor. More...
Public Member Functions inherited from IG.Num.VectorFunctionRequestDTO
| VectorFunctionRequestDTO ()
| Default constructor. More...
override VectorFunctionResults | CreateObject ()
| Creates and returns a new vector function evaluation request object. More...

## Public Attributes
int | ErrorCode
| Error code. 0 - everything is OK. negative value - something went wrong. More...
String | ErrorString
| Error string indicating what went wrong. More...
bool | CalculatedValues
| Indicates whether calculation of functions is/was requested. More...
bool | CalculatedGradients
| Indicates whether calculation of functions' gradients is/was requested. More...
bool | CalculatedHessians
| Indicates whether calculation of functions' Hessian is/was requested. More...
double[] | Values
VectorDtoBase[] | Gradients
MatrixDtoBase[] | Hessians
Public Attributes inherited from IG.Num.VectorFunctionRequestDTO
int | NumParameters
| Number of parameters of an optimization problem. More...
int | NumFunctons
| Number of components (functions) of vector functon. More...
bool | ReqValues = false
| Indicates whether calculation of functions is/was requested. More...
bool | ReqGradients = false
| Indicates whether calculation of function gradients is/was requested. More...
bool | ReqHessians = false
| Indicates whether calculation of functions' Hessians is/was requested. More...
VectorDtoBase | Parameters

## Protected Member Functions
override void | CopyFromPlain (VectorFunctionResults vectorFunctionRes)
| Copies data to the current DTO from an vector function results results object. More...
override void | CopyToPlain (ref VectorFunctionResults vectorFunctionRes)
| Copies data from the current DTO to a vector function results object. More...
Protected Member Functions inherited from IG.Num.VectorFunctionRequestDTO
override void | CopyFromPlain (VectorFunctionResults vectorFunctionRes)
| Copies data to the current DTO from an vector function results object. More...
override void | CopyToPlain (ref VectorFunctionResults vectorFunctionRes)
| Copies data from the current DTO to a vector object. More...

## Detailed Description

DTO (Data Transfer Objects) for storing contents of vector function results.

$A Igor May10;

## Constructor & Destructor Documentation

IG.Num.VectorFunctionResultsDto.VectorFunctionResultsDto | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

override void IG.Num.VectorFunctionResultsDto.CopyFromPlain | ( | VectorFunctionResults | vectorFunctionRes | ) |
| inline protected

Copies data to the current DTO from an vector function results results object.

Parameters

  vectorFunctionRes | Vector function results object from which data is copied.

References IG.Num.VectorFunctionResults.CalculatedGradients, IG.Num.VectorFunctionResults.CalculatedHessians, IG.Num.VectorFunctionResults.CalculatedValues, IG.Num.VectorFunctionResults.ErrorCode, IG.Num.VectorFunctionResults.ErrorString, IG.Num.VectorFunctionResults.Gradients, IG.Num.VectorFunctionResults.Hessians, and IG.Num.VectorFunctionResults.Values.

override void IG.Num.VectorFunctionResultsDto.CopyToPlain | ( | ref VectorFunctionResults | vectorFunctionRes | ) |
| inline protected

Copies data from the current DTO to a vector function results object.

Parameters

  vec | Vector object that data is copied to.

## Member Data Documentation

int IG.Num.VectorFunctionResultsDto.ErrorCode

Error code. 0 - everything is OK. negative value - something went wrong.

String IG.Num.VectorFunctionResultsDto.ErrorString

Error string indicating what went wrong.

bool IG.Num.VectorFunctionResultsDto.CalculatedValues

Indicates whether calculation of functions is/was requested.

bool IG.Num.VectorFunctionResultsDto.CalculatedGradients

Indicates whether calculation of functions' gradients is/was requested.

bool IG.Num.VectorFunctionResultsDto.CalculatedHessians

Indicates whether calculation of functions' Hessian is/was requested.

double [] IG.Num.VectorFunctionResultsDto.Values

VectorDtoBase [] IG.Num.VectorFunctionResultsDto.Gradients

MatrixDtoBase [] IG.Num.VectorFunctionResultsDto.Hessians

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/VectorFunctionResultsDto.cs